#################################################################################################################################################
# Source code for computing CPO and Psuedomarginal Likelihood
# Should follow the computation of summary statistics

#################################################################################################################################################

#########################################################################################################################
# Compute CPO as inverse of the posterior mean (of the inverse likelihoods) from MCMC
#########################################################################################################################
CPO <- 1/summary.statistics[,1]

#########################################################################################################################
# Compute the log of the Psueduomarginal likelihood as the sum of the logged CPOs 
#########################################################################################################################
log.PsML <- sum(log(CPO))


#########################################################################################################################
# Write out the CPOs
#########################################################################################################################
write.table(
  x=matrix(CPO, ncol=1),
  file="CPO.out",
  row.names=FALSE,
  col.names=FALSE
)

#########################################################################################################################
# Write out the log PsML
#########################################################################################################################
write(
  x=log.PsML,
  file="Log of PSML.out"
)
